Subject: Re: linux-next: Tree for August 18 (usb gadget build error)

From: Greg KH <[email-masked]>
Date: Mon, 18 Aug 2008 16:00:56 -0700

On Mon, Aug 18, 2008 at 03:55:32PM -0700, David Brownell wrote:
> On Monday 18 August 2008, Randy Dunlap wrote:
> > ERROR: "ecm_bind_config" [drivers/usb/gadget/g_cdc.ko] undefined!
> > 
> > config attached.
> 
> I'm guessing that's associate with Greg's patches to
> split the gadget drivers up into lots of little modules.
> 
> I'm really not keen on that, and I guess that means I'll
> have to send the alternate patches (even though I got no
> feedback from my posts on those topics).

Sorry, was off trying to enjoy a weekend :)

I just responded, and it looks like I'm going to drop those patches and
go with David's last patch/idea, hopefully -next tomorrow will be all
fixed up.

I'll post the patch series when I get everything building properly to
linux-usb for review.

thanks,

greg k-h